## Index

### Classes

- BatchGetRequest

### Interfaces

- BatchGetFullResponse

### Type aliases

- BatchGetResponse

### Variables

- BATCH_GET_DEFAULT_TIME_SLOT
- BATCH_GET_MAX_REQUEST_ITEM_COUNT

## Type aliases

### BatchGetResponse

BatchGetResponse: Record<string, any[]>

- Defined in dynamo/batchget/batch-get.response.ts:8

Response from BatchGetRequest::exec

## Variables

### Const BATCH_GET_DEFAULT_TIME_SLOT

BATCH_GET_DEFAULT_TIME_SLOT: 1000 = 1000

- Defined in dynamo/batchget/batch-get.const.ts:12

time slot used to wait after unprocessed items were returned

### Const BATCH_GET_MAX_REQUEST_ITEM_COUNT

BATCH_GET_MAX_REQUEST_ITEM_COUNT: 100 = 100

- Defined in dynamo/batchget/batch-get.const.ts:7

max count of request items allowed by aws